#include "raylib-tools.h"

bool
IsInRect ( Rectangle rect, Vector2 pos )
{
	if ( pos.x < rect.x || pos.y < rect.y )
		return false;

	if ( pos.x > rect.x + rect.width || pos.y > rect.y + rect.height )
		return false;

	return true;
}

float
ClampFloat ( float val, float lolimit, float hilimit )
{
	if ( val < lolimit )
		val = lolimit;

	if ( val > hilimit )
		val = hilimit;

	return val;
}
